open Cmdid
open Protocol
open Packet

let on_player_get_token _pk = pack
  cmd_player_get_token_sc_rsp
  encode_pb_player_get_token_sc_rsp
  (default_player_get_token_sc_rsp ~uid:1337l ())

let on_player_login _pk = pack
  cmd_player_login_sc_rsp
  encode_pb_player_login_sc_rsp
  (default_player_login_sc_rsp
   ~stamina:240l
   ~basic_info: (Some {
     nickname = "xeondev";
     level = 5l;
     exp = 0l;
     stamina = 240l;
     mcoin = 0l;
     hcoin = 0l;
     scoin = 0l;
     world_level = 0l;
   })
  ())

let on_player_login_finish _pk = empty cmd_player_login_finish_sc_rsp
